[submodule "kernel/common"]
	branch = android12-trusty-5.10
	path = external/linux
	url = ../../kernel/common
[submodule "platform/build/bazel"]
	branch = master
	shallow = true
	path = build/bazel
	url = ../../platform/build/bazel
[submodule "platform/development"]
	branch = master
	path = development
	url = ../../platform/development
[submodule "platform/external/bazel-skylib"]
	branch = master
	shallow = true
	path = external/bazel-skylib
	url = ../../platform/external/bazel-skylib
[submodule "platform/external/boringssl"]
	branch = master
	path = external/boringssl
	url = ../../platform/external/boringssl
[submodule "platform/external/capstone"]
	branch = trusty-main
	path = external/capstone
	url = ../../platform/external/capstone
[submodule "platform/external/dtc"]
	branch = master
	path = external/dtc
	url = ../../platform/external/dtc
[submodule "platform/external/fmtlib"]
	branch = master
	path = external/fmtlib
	url = ../../platform/external/fmtlib
[submodule "platform/external/freetype"]
	branch = master
	path = external/freetype
	url = ../../platform/external/freetype
[submodule "platform/external/googletest"]
	branch = master
	path = external/googletest
	url = ../../platform/external/googletest
[submodule "platform/external/libcppbor"]
	branch = master
	path = external/libcppbor
	url = ../../platform/external/libcppbor
[submodule "platform/external/libcxx"]
	branch = main-trusty
	path = external/libcxx
	url = ../../platform/external/libcxx
[submodule "platform/external/libcxxabi"]
	branch = master
	path = external/libcxxabi
	url = ../../platform/external/libcxxabi
[submodule "platform/external/nanopb-c"]
	branch = master
	path = external/nanopb-c
	url = ../../platform/external/nanopb-c
[submodule "platform/external/open-dice"]
	branch = master
	path = external/open-dice
	url = ../../platform/external/open-dice
[submodule "platform/external/protobuf"]
	branch = master
	path = external/protobuf
	url = ../../platform/external/protobuf
[submodule "platform/external/python/jinja"]
	branch = master
	path = external/python/jinja
	url = ../../platform/external/python/jinja
[submodule "platform/external/python/markupsafe"]
	branch = master
	path = external/python/markupsafe
	url = ../../platform/external/python/markupsafe
[submodule "platform/external/python/six"]
	branch = master
	path = external/python/six
	url = ../../platform/external/python/six
[submodule "platform/external/rust/crates/bitflags"]
	branch = trusty-main
	path = external/rust/crates/bitflags
	url = ../../platform/external/rust/crates/bitflags
[submodule "platform/external/rust/crates/cfg-if"]
	branch = trusty-main
	path = external/rust/crates/cfg-if
	url = ../../platform/external/rust/crates/cfg-if
[submodule "platform/external/rust/crates/ciborium"]
	branch = trusty-main
	path = external/rust/crates/ciborium
	url = ../../platform/external/rust/crates/ciborium
[submodule "platform/external/rust/crates/ciborium-io"]
	branch = trusty-main
	path = external/rust/crates/ciborium-io
	url = ../../platform/external/rust/crates/ciborium-io
[submodule "platform/external/rust/crates/ciborium-ll"]
	branch = trusty-main
	path = external/rust/crates/ciborium-ll
	url = ../../platform/external/rust/crates/ciborium-ll
[submodule "platform/external/rust/crates/const-oid"]
	branch = trusty-main
	path = external/rust/crates/const-oid
	url = ../../platform/external/rust/crates/const-oid
[submodule "platform/external/rust/crates/coset"]
	branch = trusty-main
	path = external/rust/crates/coset
	url = ../../platform/external/rust/crates/coset
[submodule "platform/external/rust/crates/der"]
	branch = trusty-main
	path = external/rust/crates/der
	url = ../../platform/external/rust/crates/der
[submodule "platform/external/rust/crates/der_derive"]
	branch = trusty-main
	path = external/rust/crates/der_derive
	url = ../../platform/external/rust/crates/der_derive
[submodule "platform/external/rust/crates/enumn"]
	branch = trusty-main
	path = external/rust/crates/enumn
	url = ../../platform/external/rust/crates/enumn
[submodule "platform/external/rust/crates/flagset"]
	branch = trusty-main
	path = external/rust/crates/flagset
	url = ../../platform/external/rust/crates/flagset
[submodule "platform/external/rust/crates/foreign-types"]
	branch = trusty-main
	path = external/rust/crates/foreign-types
	url = ../../platform/external/rust/crates/foreign-types
[submodule "platform/external/rust/crates/foreign-types-shared"]
	branch = trusty-main
	path = external/rust/crates/foreign-types-shared
	url = ../../platform/external/rust/crates/foreign-types-shared
[submodule "platform/external/rust/crates/half"]
	branch = trusty-main
	path = external/rust/crates/half
	url = ../../platform/external/rust/crates/half
[submodule "platform/external/rust/crates/libc"]
	branch = trusty-main
	path = external/rust/crates/libc
	url = ../../platform/external/rust/crates/libc
[submodule "platform/external/rust/crates/log"]
	branch = trusty-main
	path = external/rust/crates/log
	url = ../../platform/external/rust/crates/log
[submodule "platform/external/rust/crates/once_cell"]
	branch = trusty-main
	path = external/rust/crates/once_cell
	url = ../../platform/external/rust/crates/once_cell
[submodule "platform/external/rust/crates/openssl"]
	branch = trusty-main
	path = external/rust/crates/openssl
	url = ../../platform/external/rust/crates/openssl
[submodule "platform/external/rust/crates/openssl-macros"]
	branch = trusty-main
	path = external/rust/crates/openssl-macros
	url = ../../platform/external/rust/crates/openssl-macros
[submodule "platform/external/rust/crates/pkcs1"]
	branch = trusty-main
	path = external/rust/crates/pkcs1
	url = ../../platform/external/rust/crates/pkcs1
[submodule "platform/external/rust/crates/pkcs8"]
	branch = trusty-main
	path = external/rust/crates/pkcs8
	url = ../../platform/external/rust/crates/pkcs8
[submodule "platform/external/rust/crates/proc-macro-error"]
	branch = trusty-main
	path = external/rust/crates/proc-macro-error
	url = ../../platform/external/rust/crates/proc-macro-error
[submodule "platform/external/rust/crates/proc-macro-error-attr"]
	branch = trusty-main
	path = external/rust/crates/proc-macro-error-attr
	url = ../../platform/external/rust/crates/proc-macro-error-attr
[submodule "platform/external/rust/crates/proc-macro2"]
	branch = trusty-main
	path = external/rust/crates/proc-macro2
	url = ../../platform/external/rust/crates/proc-macro2
[submodule "platform/external/rust/crates/protobuf"]
	branch = trusty-main
	path = external/rust/crates/protobuf
	url = ../../platform/external/rust/crates/protobuf
[submodule "platform/external/rust/crates/quote"]
	branch = trusty-main
	path = external/rust/crates/quote
	url = ../../platform/external/rust/crates/quote
[submodule "platform/external/rust/crates/sec1"]
	branch = trusty-main
	path = external/rust/crates/sec1
	url = ../../platform/external/rust/crates/sec1
[submodule "platform/external/rust/crates/serde"]
	branch = trusty-main
	path = external/rust/crates/serde
	url = ../../platform/external/rust/crates/serde
[submodule "platform/external/rust/crates/serde_derive"]
	branch = trusty-main
	path = external/rust/crates/serde_derive
	url = ../../platform/external/rust/crates/serde_derive
[submodule "platform/external/rust/crates/spki"]
	branch = trusty-main
	path = external/rust/crates/spki
	url = ../../platform/external/rust/crates/spki
[submodule "platform/external/rust/crates/syn"]
	branch = trusty-main
	path = external/rust/crates/syn
	url = ../../platform/external/rust/crates/syn
[submodule "platform/external/rust/crates/synstructure"]
	branch = trusty-main
	path = external/rust/crates/synstructure
	url = ../../platform/external/rust/crates/synstructure
[submodule "platform/external/rust/crates/unicode-xid"]
	branch = trusty-main
	path = external/rust/crates/unicode-xid
	url = ../../platform/external/rust/crates/unicode-xid
[submodule "platform/external/rust/crates/x509-cert"]
	branch = trusty-main
	path = external/rust/crates/x509-cert
	url = ../../platform/external/rust/crates/x509-cert
[submodule "platform/external/rust/crates/zeroize"]
	branch = trusty-main
	path = external/rust/crates/zeroize
	url = ../../platform/external/rust/crates/zeroize
[submodule "platform/external/rust/crates/zeroize_derive"]
	branch = trusty-main
	path = external/rust/crates/zeroize_derive
	url = ../../platform/external/rust/crates/zeroize_derive
[submodule "platform/external/scudo"]
	branch = main-trusty
	path = external/scudo
	url = ../../platform/external/scudo
[submodule "platform/frameworks/hardware/interfaces"]
	branch = master
	path = frameworks/hardware/interfaces
	url = ../../platform/frameworks/hardware/interfaces
[submodule "platform/frameworks/native"]
	branch = master
	path = frameworks/native
	url = ../../platform/frameworks/native
[submodule "platform/hardware/libhardware"]
	branch = master
	path = hardware/libhardware
	url = ../../platform/hardware/libhardware
[submodule "platform/prebuilts/bazel/linux-x86_64"]
	branch = master
	shallow = true
	path = prebuilts/bazel/linux-x86_64
	url = ../../platform/prebuilts/bazel/linux-x86_64
[submodule "platform/prebuilts/build-tools"]
	branch = master
	shallow = true
	path = prebuilts/build-tools
	url = ../../platform/prebuilts/build-tools
[submodule "platform/prebuilts/clang-tools"]
	branch = master
	shallow = true
	path = prebuilts/clang-tools
	url = ../../platform/prebuilts/clang-tools
[submodule "platform/prebuilts/clang/host/linux-x86"]
	branch = master
	shallow = true
	path = prebuilts/clang/host/linux-x86
	url = ../../platform/prebuilts/clang/host/linux-x86
[submodule "platform/prebuilts/libprotobuf/linux"]
	branch = trusty
	shallow = true
	path = prebuilts/libprotobuf
	url = ../../platform/prebuilts/libprotobuf/linux
[submodule "platform/prebuilts/misc"]
	branch = master
	shallow = true
	path = prebuilts/misc
	url = ../../platform/prebuilts/misc
[submodule "platform/prebuilts/rust"]
	branch = master
	shallow = true
	path = prebuilts/rust
	url = ../../platform/prebuilts/rust
[submodule "platform/system/core"]
	branch = master
	path = system/core
	url = ../../platform/system/core
[submodule "platform/system/gatekeeper"]
	branch = master
	path = system/gatekeeper
	url = ../../platform/system/gatekeeper
[submodule "platform/system/iot/attestation"]
	branch = master
	path = system/iot/attestation
	url = ../../platform/system/iot/attestation
[submodule "platform/system/keymaster"]
	branch = master
	path = system/keymaster
	url = ../../platform/system/keymaster
[submodule "platform/system/keymint"]
	branch = master
	path = system/keymint
	url = ../../platform/system/keymint
[submodule "platform/system/libbase"]
	branch = master
	path = system/libbase
	url = ../../platform/system/libbase
[submodule "platform/system/teeui"]
	branch = master
	path = system/teeui
	url = ../../platform/system/teeui
[submodule "platform/tools/repohooks"]
	branch = master
	path = tools/repohooks
	url = ../../platform/tools/repohooks
[submodule "trusty/app/avb"]
	branch = master
	path = trusty/user/app/avb
	url = ../app/avb
[submodule "trusty/app/cast-auth"]
	branch = master
	path = trusty/user/app/cast-auth
	url = ../app/cast-auth
[submodule "trusty/app/confirmationui"]
	branch = master
	path = trusty/user/app/confirmationui
	url = ../app/confirmationui
[submodule "trusty/app/gatekeeper"]
	branch = master
	path = trusty/user/app/gatekeeper
	url = ../app/gatekeeper
[submodule "trusty/app/keymaster"]
	branch = master
	path = trusty/user/app/keymaster
	url = ../app/keymaster
[submodule "trusty/app/keymint"]
	branch = master
	path = trusty/user/app/keymint
	url = ../app/keymint
[submodule "trusty/app/sample"]
	branch = master
	path = trusty/user/app/sample
	url = ../app/sample
[submodule "trusty/app/storage"]
	branch = master
	path = trusty/user/app/storage
	url = ../app/storage
[submodule "trusty/device/arm/generic-arm64"]
	branch = master
	path = trusty/device/arm/generic-arm64
	url = ../device/arm/generic-arm64
[submodule "trusty/device/arm/vexpress-a15"]
	branch = master
	path = trusty/device/arm/vexpress-a15
	url = ../device/arm/vexpress-a15
[submodule "trusty/device/nxp/imx7d"]
	branch = master
	path = trusty/device/nxp/imx7d
	url = ../device/nxp/imx7d
[submodule "trusty/device/x86/generic-x86_64"]
	branch = master
	path = trusty/device/x86/generic-x86_64
	url = ../device/x86/generic-x86_64
[submodule "trusty/external/headers"]
	branch = master
	path = external/headers
	url = ../external/headers
[submodule "trusty/external/musl"]
	branch = master
	path = external/trusty/musl
	url = ../external/musl
[submodule "trusty/external/qemu"]
	branch = master
	path = external/qemu
	url = ../external/qemu
[submodule "trusty/external/qemu-keycodemapdb"]
	branch = trusty-main
	path = external/qemu-keycodemapdb
	url = ../external/qemu-keycodemapdb
[submodule "trusty/external/trusted-firmware-a"]
	branch = master
	path = external/arm-trusted-firmware
	url = ../external/trusted-firmware-a
[submodule "trusty/external/trusty"]
	branch = master
	path = external/trusty/bootloader
	url = ../external/trusty
[submodule "trusty/host/common"]
	branch = master
	path = trusty/host/common
	url = ../host/common
[submodule "trusty/interfaces"]
	branch = master
	path = trusty/interfaces
	url = ../interfaces
[submodule "trusty/lib"]
	branch = master
	path = trusty/user/base
	url = ../lib
[submodule "trusty/lk/common"]
	branch = master
	path = external/lk
	url = ../lk/common
[submodule "trusty/lk/nxp"]
	branch = master
	path = trusty/hardware/nxp
	url = ../lk/nxp
[submodule "trusty/lk/trusty"]
	branch = master
	path = trusty/kernel
	url = ../lk/trusty
[submodule "trusty/prebuilts/aosp"]
	branch = master
	shallow = true
	path = trusty/prebuilts/aosp
	url = ../prebuilts/aosp
[submodule "trusty/vendor/google/aosp"]
	branch = master
	path = trusty/vendor/google/aosp
	url = ../vendor/google/aosp
